# Just Perfection GNOME Shell Extension

![Just Perfection GNOME Shell Extension Logo](bin/logo.svg)

## What Can It Do?

This extension allows you to do the following:

### Visibility

- OSD
- Search
- Dash
- Workspace Switcher
- Workspace Popup
- Panel
- Background Menu
- Activities button
- App Menu
- Clock Menu
- Keyboard Layout
- Accessibility Menu
- System Menu (Aggregate Menu)
- Applications Button
- Workspaces in app grid (Only GNOME Shell 40)
- Window Picker Caption

### Icons Visibility

- App Menu Icon
- Power Icon
- Panel Notification icon
- Window Picker Icon (Only GNOME Shell 40)
- Panel Arrow (Only GNOME Shell 3.36 and 3.38)
- Activities Button Icon

### Behavior

- Disable Type to Search
- Hot Corner
- App Gesture (Only GNOME Shell 3.36 and 3.38)
- Window Demands Attention Focus
- Always Show Workspace Switcher on Dynamic Workspaces (Only GNOME Shell 40)
- Startup status (Only GNOME Shell 40)
- Workspace Wraparound

### Customize

- Panel Height
- Panel Position
- Panel Button Padding Size
- Panel Round Corner Size
- Workspace Background Corner Size in Overview (Only GNOME Shell 40)
- Clock Menu Position
- Workspace Switcher Size (Only GNOME Shell 40)
- Animation Speed or Disable it
- Dash Icon Size
- Notification Banner Position

### Override

- GNOME shell theme (You don't need to have user-theme-extension)

## GNOME Shell extensions Website

This extension is also available on [GNOME Shell extensions website](https://extensions.gnome.org/extension/3843/just-perfection/).

[![Just Perfection on extensions.gnome.org](bin/ego.svg)](https://extensions.gnome.org/extension/3843/just-perfection/)

## GNOME Shell Support

| GNOME Shell Version | End Of Support |
| ------------------- | -------------- |
| 3.36                | July 2025      |
| 3.38                | July 2025      |
| 40                  | September 2021 |

## Install Manually

You can download this repo and install it manually with the build script:

```bash
$ ./scripts/build.sh -i
```

*You need gettext package installed on your system*

## Support

You can support my work by sending me some crypto:

- **Bitcoin** 1MdFyy7AGqf3vL7EtPJr5bfwpBNKctNzWL
- **Bitcoin Cash** qq4c94e9mh4gp5zzgxjknvvdfcmea73zycptwgl3zp
- **Ether** 0x170D57ed547c153B21A7BA8aaB9a8fb53C5EAD5f
- **DOGE** DD3pTCxg5BFW2b2er3jsKPprm2hC2Avd5C

Or support via [Patreon](https://www.patreon.com/justperfection).

[![Support via Patreon](bin/support-patreon.svg)](https://www.patreon.com/justperfection)

## Awards

- [Ask Noah Show (Pick of the Week)](https://podcast.asknoahshow.com/212?t=1643).

## License

- This Extension has been released under The **GNU General Public License v3.0**.

- All SVG files have been released under **CC0 1.0 Universal (CC0 1.0)
  Public Domain Dedication** License:

```
The person who associated a work with this deed has dedicated the work
to the public domain by waiving all of his or her rights to the work
worldwide under copyright law, including all related and neighboring rights,
to the extent allowed by law.

You can copy, modify, distribute and perform the work,
even for commercial purposes, all without asking permission.
See Other Information below.

- In no way are the patent or trademark rights of any person affected by CC0,
nor are the rights that other persons may have in the work or in how the work
is used, such as publicity or privacy rights.

- Unless expressly stated otherwise, the person who associated a work
with this deed makes no warranties about the work, and disclaims liability
for all uses of the work, to the fullest extent permitted by applicable law.

- When using or citing the work, you should not imply endorsement by the author
or the affirmer.
```
